Create batch inference job (Bedrock format)

Creates a batch inference job using AWS Bedrock format. Routes to native Bedrock by default; set x-model-provider to route the job to another provider (openai, gemini, etc.).

POST
/bedrock/model-invocation-job
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Header Parameters

x-model-provider?string

Optional provider override for cross-provider batch routing.

modelId?string

Model ID for the batch job (optional, can be specified in request)

jobName?string

Name for the batch job

roleArnstring

IAM role ARN for the job

inputDataConfigobject
outputDataConfigobject
timeoutDurationInHours?integer

Timeout in hours

tags?array<object>

Response Body

curl -X POST "https://loading/{AI_GATEWAY_URL}/bedrock/model-invocation-job" \  -H "x-model-provider: string" \  -H "Content-Type: application/json" \  -d '{    "roleArn": "string",    "inputDataConfig": {},    "outputDataConfig": {}  }'
{
  "jobArn": "string",
  "status": "Submitted",
  "jobName": "string",
  "modelId": "string",
  "roleArn": "string",
  "inputDataConfig": {},
  "outputDataConfig": {},
  "vpcConfig": {
    "securityGroupIds": [
      "string"
    ],
    "subnetIds": [
      "string"
    ]
  },
  "submitTime": "2019-08-24T14:15:22Z",
  "lastModifiedTime": "2019-08-24T14:15:22Z",
  "endTime": "2019-08-24T14:15:22Z",
  "message": "string",
  "clientRequestToken": "string",
  "jobExpirationTime": "2019-08-24T14:15:22Z",
  "timeoutDurationInHours": 0
}
{
  "message": "string",
  "type": "string"
}
{
  "message": "string",
  "type": "string"
}
On this page

On this page

No Headings